Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class InternalURIDefinition

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.service.impl.InternalURIDefinition

All Implemented Interfaces:
  InternalURI, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class InternalURIDefinition

extends java.lang.Object
implements InternalURI

Author:
  swood
See Also:
  Serialized Form

Constructor Summary
`InternalURIDefinition(java.lang.String uri)`

Method Summary
`java.lang.String` | `getParentFolder()`
`java.lang.String` | `getParentPath()`
`java.lang.String` | `getParentURI()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getURI()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### InternalURIDefinition

    public InternalURIDefinition(java.lang.String uri)

Method Detail

### getParentPath

    public java.lang.String getParentPath()

  Specified by:
    `getParentPath` in interface `InternalURI`

### getParentURI

    public java.lang.String getParentURI()

  Specified by:
    `getParentURI` in interface `InternalURI`

### getParentFolder

    public java.lang.String getParentFolder()

### getPath

    public java.lang.String getPath()

  Specified by:
    `getPath` in interface `InternalURI`

### getProtocol

    public java.lang.String getProtocol()

  Specified by:
    `getProtocol` in interface `InternalURI`

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `InternalURI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.